%define name libgalago-gtk
%define version 0.5.0
%define release %mkrel 3
%define major 1
%define libname %mklibname galago-gtk %major

Summary: Gtk bindings of Galago
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.galago-project.org/files/releases/source/libgalago-gtk/%{name}-%{version}.tar.bz2
License: LGPL
Group: System/Libraries
Url: http://www.galago-project.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgalago-devel >= 0.5.0
BuildRequires: gtk+2-devel

%description
These are the gtk bindings of the Galago desktop presence framework.

%package -n %libname
Group: System/Libraries
Summary: Gtk bindings of Galago - shared library
#gw for the translations
Requires: %name >= %version

%description -n %libname
These are the gtk bindings of the Galago desktop presence framework.


%package -n %libname-devel
Group: Development/C
Summary: Gtk bindings of Galago - headers
Requires: %libname = %version
Provides: %name-devel = %version-%release

%description -n %libname-devel
These are the gtk bindings of the Galago desktop presence framework.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
%makeinstall_std
rm -rf %buildroot%_datadir/autopackage
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS
%_datadir/pixmaps/galago/

%files -n %libname
%defattr(-,root,root)
%_libdir/lib*.so.%{major}*

%files -n %libname-devel
%defattr(-,root,root)
%_libdir/lib*.so
%attr(644,root,root) %_libdir/lib*a
%_libdir/pkgconfig/%name.pc
%_includedir/%name/

%changelog
* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.0-3mdv2007.0
- Rebuild with latest dbus

* Thu Jul 20 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdv2007.0
- Rebuild

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 0.5.0-1mdk
- new major
- bump deps
- New release 0.5.0

* Thu Jan 26 2006 Götz Waschk <waschk@mandriva.org> 0.3.4-3mdk
- rebuild for new dbus
- use mkrel

* Wed Oct 26 2005 Götz Waschk <waschk@mandriva.org> 0.3.4-2mdk
- rebuild for new dbus

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 0.3.4-1mdk
- new URL
- new version

* Thu Jun 16 2005 Götz Waschk <waschk@mandriva.org> 0.3.2-1mdk
- initial package
